import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup } from '@angular/forms';
export declare class Login01Component implements OnInit {
    loginForm: FormGroup;
    logoUrl: string;
    textSignIn: string;
    textUsername: string;
    textPassword: string;
    textRememberMe: string;
    textLoginButton: string;
    textForgotPassword: string;
    textCreateAccount: string;
    textCopyRight: string;
    onLogin: EventEmitter<{
        username: string;
        password: string;
        rememberme: boolean;
    }>;
    onForgotPassword: EventEmitter<void>;
    onCreateAccount: EventEmitter<void>;
    constructor();
    ngOnInit(): void;
    login(): void;
    forgotPassword(): void;
    createAccount(): void;
}
